#!/usr/bin/env python
#coding=utf8
"""
$Id: DS18B20plt.py,v 1.2 2014/06/09 11:19:20 alfille Exp $

Copyright (c) 2014 C-Bell (VAGor). All rights reserved.

    python
    matplotlib
"""
import sqlite3, threading
import matplotlib.pyplot as plt
from matplotlib import rc

rc('font',**{'family':'serif'})
rc('text.latex',unicode=True)
rc('text.latex',preamble='\usepackage[utf8]{inputenc}')
rc('text.latex',preamble='\usepackage[russian]{babel}')

#############Параметры программы#####################################
#Места и порядок расположения термометров:
locations=[u"Куб",u"1/2",u"Верх",u"Деф",u"Конд"]
#Цвета графиков
legend={u"Куб":"r",u"1/2":"m",u"Верх":"y",u"Деф":"c",u"Конд":"b"}
##################################################################

con=sqlite3.connect('Distiller.db') #открыть БД
cur=con.cursor()      #курсор БД

for dt in locations:
    cur.execute("SELECT ID FROM DS18B20cur WHERE Name=?",(dt,))
    #print(u"%s %s"%(dt,cur.fetchone()))
    ID,=cur.fetchone()
    cur.execute("SELECT ["+ID+"] FROM DS18B20")
    Y=[]
    for t in cur:
        T,=t
        Y.append(float(T))
    X=range(len(Y))
    plt.plot(X,Y,legend.get(dt),label=dt)
    #print(Y[4],X[7])

plt.ylabel(u'Температура')
plt.xlabel(u'Время')
plt.legend(loc='best')
plt.grid()
plt.show()
##################################################################
