#!/usr/bin/env python
#coding=utf8
"""
$Id: DS18B20plt.py,v 1.2 2014/06/09 11:19:20 alfille Exp $

Copyright (c) 2014 C-Bell (VAGor). All rights reserved.

    python
    matplotlib
"""
import sqlite3, time, threading
import matplotlib.pyplot as plt

#Потоковый замок доступа к БД
dbLock=threading.Lock()

con=sqlite3.connect('Distiller.db') #открыть БД
cur=con.cursor()      #курсор БД
cur.execute("SELECT Datetime FROM DS18B20")

cur.execute("SELECT ID FROM DS18B20cur")
IDs=[]      #Список термометров DS18B20
for i in cur:
    ID,=i
    IDs.append(ID)#print(ID)
#print IDs
Tlist=[]    #Список значений температур термометров
for ID in IDs:
    timeB=time.time()
    execute="SELECT ["+ID+"] FROM DS18B20"
    dbLock.acquire()
    cur.execute(execute)
    dbLock.release()
    print(u"Время выборки показаний термометра %s из БД = %s"%(ID,(time.time()-timeB)))
    Y=[]
    for dt in cur:
        T,=dt
        Y.append(float(T))
#    print(Y)
#    print("")
    Tlist.append(Y)
#print(Ycub)
#print(len(Ycub))
    
Xlist=range(len(Tlist[0]))  #Значения оси Y

#Рисование температурных графиков всех термометров
for T in Tlist:
    plt.plot(Xlist,T)
plt.ylabel('Temperature')
plt.xlabel('Time')
plt.grid()
#plt.show()
timeB=time.time()
plt.savefig("Plot.png")
print("Время сохранения рисунка = %s"%(time.time()-timeB))
##################################################################



